strtod
Prev | Orchestra Opcodes and Operators | Next

## strtod

strtod — Converts a string to a float (i-rate).

## Description

Convert a string to a floating point value. It is also possible to pass an strset index or a string p-field from the score instead of a string argument. If the string cannot be parsed as a floating point or integer number, an init or perf error occurs and the instrument is deactivated.

## Syntax

    ir strtod Sstr

    ir strtod indx

## Initialization

Sstr -- String to convert.

indx -- index of string set by strset

## Performance

ir -- Value of string as float.

## Credits

Author: Istvan Varga
2005

Prev | Up | Next
strsubk | Home | strtodk